require 'fileutils'

require_relative "#{File.dirname(__FILE__)}/visual_matcher/version"
require_relative "#{File.dirname(__FILE__)}/visual_matcher/matcher"
require_relative "#{File.dirname(__FILE__)}/visual_matcher/image"
require_relative "#{File.dirname(__FILE__)}/visual_matcher/diff_result"

module VisualMatcher
  include ChunkyPNG::Color
  include DiffResult

  class SizesMismatchError < StandardError
  end

  def self.execute(baseline, current_screen, acceptant_criteria)
    return if baseline.nil?
    return if current_screen.nil?
    return if acceptant_criteria.nil?

    Matcher.new.compare_screens(Image.load_images(baseline, current_screen),
                                acceptant_criteria)
  end
end
