module DiffResult
  def self.save_diff(image)
    Dir.mkdir(File.join(FileUtils.pwd, 'diff_images')) unless
        Dir.exist?(File.join(FileUtils.pwd, 'diff_images'))

    file_name = "#{Time.now.strftime('%Y%m%d')}_diff.png"

    image.save(File.join(FileUtils.pwd, 'diff_images', file_name))
  end

  def self.calculate_score(diff, images, acceptant_criteria)
    if acceptant_criteria.nil?
      raise ArgumentError,
            'Acceptant criteria cannot be null'
    end

    result = (diff.length.to_f / images.first.pixels.length) * 100

    return if result > acceptant_criteria.to_f
  end
end
